# All active subscriptions
curl https://hapi.7331.org/v1/admin/subscriptions/active \
-b cookies.txt
# Only premium
curl "https://hapi.7331.org/v1/admin/subscriptions/active?tier=2" \
-b cookies.txt
{
"users": [
{
"discord_id": 123456789012345678,
"name": "exampleuser",
"tier": 2,
"expires_at": "2026-06-01T00:00:00Z",
"is_active": true
}
],
"guilds": [
{
"discord_id": 987654321098765432,
"name": "Example Server",
"tier": 3,
"expires_at": null,
"is_active": true
}
]
}
List all active (non-BASIC) subscriptions for users and guilds (admin only).
# All active subscriptions
curl https://hapi.7331.org/v1/admin/subscriptions/active \
-b cookies.txt
# Only premium
curl "https://hapi.7331.org/v1/admin/subscriptions/active?tier=2" \
-b cookies.txt
{
"users": [
{
"discord_id": 123456789012345678,
"name": "exampleuser",
"tier": 2,
"expires_at": "2026-06-01T00:00:00Z",
"is_active": true
}
],
"guilds": [
{
"discord_id": 987654321098765432,
"name": "Example Server",
"tier": 3,
"expires_at": null,
"is_active": true
}
]
}
1 = Trial, 2 = Premium, 3 = Lifetime.# All active subscriptions
curl https://hapi.7331.org/v1/admin/subscriptions/active \
-b cookies.txt
# Only premium
curl "https://hapi.7331.org/v1/admin/subscriptions/active?tier=2" \
-b cookies.txt
{
"users": [
{
"discord_id": 123456789012345678,
"name": "exampleuser",
"tier": 2,
"expires_at": "2026-06-01T00:00:00Z",
"is_active": true
}
],
"guilds": [
{
"discord_id": 987654321098765432,
"name": "Example Server",
"tier": 3,
"expires_at": null,
"is_active": true
}
]
}
Was this page helpful?